/**
******************************************************************************
* @file    queue_handle.h
* @author  _KEMET, Ltd
* @date    March 2018
* @version Release 1.0.6
* @copyright (c) 2018 _KEMET, Ltd
* @brief   Manages message queues from the GUI to sensor and sensor to GUI
******************************************************************************
   @attention <h2><center>&copy; COPYRIGHT 2018 _KEMET, Ltd</center></h2>
   @verbatim
    Copyright (c) 2018, _KEMET, Ltd
    All rights reserved.

    THIS SOFTWARE IS PROVIDED BY _KEMET, Ltd ''AS IS'' AND ANY
    EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    DISCLAIMED. IN NO EVENT SHALL _KEMET, Ltd BE LIABLE FOR ANY
    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
    ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
   @endverbatim
******************************************************************************
*/
/* Includes ------------------------------------------------------------------*/
#ifndef UART_HANDLE_H_
#define UART_HANDLE_H_
//#include <stdint.h>
//#include "stm32f30x_usart.h"
//#include "stm32f30x_flash.h"
#include "Micro_controller_template.h"
#include "queue.h"

#define USB_NODATA           0
#define USB_DATA             1
#define USB_ERR              2
#define USB_SENT             3
#define USB_TO               4 // time out
#define USB_BCOK             5

#define USB_TIMEOUT        501 // means between 100 & 100.2 ms
#define USB_IN_BUFFER_SIZE 128

#define ERR_OK               0
#define ERR_FAILED           1
#define ERR_TIMEOUT          2

#define IRPyro_VERSION    0x02
#define IRPyro_CCP_WRITE  0x10

#define IRPyro_DATA_SIZE    17
#define IRPyro_CCP_SIZE      5
#define IRPyro_AFE_SIZE      2
#define IRPyro_WUP_SIZE      6
#define IRPyro_ENG_SIZE      1
#define IRPyro_REV_SIZE      1
#define IRPyro_STS_SIZE      1

void message_putchar(uint8_t c, uint8_t go_flag);
uint8_t message_getchar(uint8_t *c);
void queue_handle_enable(void);
#endif /* UART_HANDLE_H_ */
/************************ _KEMET 2018 *****END OF FILE****/
